ApiFuseApiFuse
API Reference

법령 신구조문 비교

법령의 신구법 대비표, 3단비교, 이력 정보를 조회합니다.

법령 신구조문 비교

법령의 개정 전후 조문 비교(신구대조표), 3단비교, 이력을 조회합니다.

엔드포인트

GET /v1/law-compare

Upstream

  • Base URL: https://www.law.go.kr
  • Path: /DRF/lawSearch.do

요청 파라미터

파라미터타입필수기본값설명
law_namestring-법령명
compare_typeenum("oldAndNew" \"thdCmp" \"lsHstInf")

요청 예시

{
  "law_name": "민법",
  "compare_type": "oldAndNew"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "law_name": {
      "type": "string"
    },
    "compare_type": {
      "type": "string"
    },
    "comparison": {}
  },
  "required": [
    "law_name",
    "compare_type",
    "comparison"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "law_name": "민법",
    "compare_type": "oldAndNew",
    "comparison": {
      "items": []
    }
  },
  "pagination": null,
  "meta": {
    "source": "law-compare",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page